org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class DelayedPageReplacementTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.DelayedPageReplacementTracker

    public class DelayedPageReplacementTracker
    extends Object

Delayed page writes tracker. Provides delayed write implementations and allows to check if page is actually being written to page store.

### Constructor Summary

Constructors
Constructor and Description
`DelayedPageReplacementTracker(int pageSize, PageStoreWriter flushDirtyPage, IgniteLogger log, int segmentCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DelayedDirtyPageStoreWrite` `delayedPageWrite()`
`void` `lock(FullPageId id)`
`void` `unlock(FullPageId id)`
`void` `waitUnlock(FullPageId id)` Method is returned when page is available to be loaded from store, or waits for replacement finish.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelayedPageReplacementTracker

    public DelayedPageReplacementTracker(int pageSize,
                                         PageStoreWriter flushDirtyPage,
                                         IgniteLogger log,
                                         int segmentCnt)

Parameters:
  `pageSize` - Page size.
  `flushDirtyPage` - Flush dirty page.
  `log` - Logger.
  `segmentCnt` - Segments count.

### Method Detail

#### delayedPageWrite

    public DelayedDirtyPageStoreWrite delayedPageWrite()

Returns:
  delayed page write implementation, finish method to be called to actually write page.

#### lock

    public void lock(FullPageId id)

Parameters:
  `id` - full page ID to lock from read

#### waitUnlock

    public void waitUnlock(FullPageId id)

Method is returned when page is available to be loaded from store, or waits for replacement finish.

Parameters:
  `id` - full page ID to be loaded from store.

#### unlock

    public void unlock(FullPageId id)

Parameters:
  `id` - full page ID, which write has been finished, it is available for reading.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021